## unattended-upgrades 0.86.2ubuntu1.1

=== debian/changelog ===
unattended-upgrades (0.86.2ubuntu1.1) wily-proposed; urgency=medium

  * Revert the use of "lgettext", this fixes sending mails
    via unattended-upgrades (LP: #1527106)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Jan 2016 17:34:49 +0100
