## unattended-upgrades 0.90

=== debian/changelog ===
unattended-upgrades (0.90) unstable; urgency=medium

  [ Alexandre Detiste ]
  * tweak a bit the French translations

  [ Michael Vogt ]
  * debian/templates: set unattended-upgrades/enable_auto_updates to
    "true" (Closes: #707055)
  * debian/config: set debconf questions about origin/enable to low

 -- Michael Vogt <mvo@debian.org>  Thu, 18 Feb 2016 14:05:58 -0800

unattended-upgrades (0.89.1) unstable; urgency=medium

  * fix FTBFS

 -- Michael Vogt <mvo@debian.org>  Wed, 03 Feb 2016 12:37:49 +0100

unattended-upgrades (0.89) unstable; urgency=medium

  [ Michael Vogt ]
  * Add `Unattended-Upgrade::Remove-New-Unused-Dependencies` that
    defaults to "yes". This ensures that older kernel
    get automatically cleaned up and /boot will not overflow.
    LP: #1267059
  * Remove downloaded deb packages after successful installs.
    This can be controlled via the option:
    `Unattended-Upgrade::Keep-Debs-After-Install`
    (Closes: #809428)
  * Only remove debs in the cache dir

  [ Steffen Köhler ]
  * Allow to configure sender email via `Unattended-Upgrade::Sender`

  [ Antti Riikonen ]
  * Minor typo fix in comment

  [ Cleto Martin ]
  * bugfix: non-ascii chars in dpkg log file crashes unattended upgrades
    Closes: #812857

  [ James Valleroy ]
  * Set debconf value for auto updates based on current configuration.

  [ Alexandre Detiste ]
  * update French transalation

 -- Michael Vogt <mvo@debian.org>  Sat, 30 Jan 2016 16:04:52 +0100

unattended-upgrades (0.86.5) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #801166
  * Russian (Yuri Kozlov).  Closes: #803950
  * Danish (Joe Hansen).  Closes: #804086
  * Basque (Iñaki Larrañaga Murgoitio).  Closes: #804136
  * German (Chris Leick).  Closes: #804309
  * Czech (Michal Simunek).  Closes: #804665
  * Italian (Luca Monducci).  Closes: #805138
  * Catalan; (Innocent De Marchi).  Closes: #805298
  * Dutch; (Frans Spiesschaert).  Closes: #805303
  * French (Steve Petruzzello).  Closes: #805468
  * Portuguese (Miguel Figueiredo).  Closes: #805735

 -- Michael Vogt <mvo@debian.org>  Mon, 23 Nov 2015 11:47:33 +0100

unattended-upgrades (0.86.4) unstable; urgency=medium

  [ Jérôme Lafréchoux ]
  * Add [package on hold] to mail subject

  [ James Valleroy ]
  * Add debconf question to set default line of Origins-Pattern.
  * Ran debconf-updatepo.

  [ Michael Vogt ]
  * Revert usage of "lgettext()" (9ec6c4b)

 -- Michael Vogt <mvo@debian.org>  Mon, 05 Oct 2015 18:17:26 +0200

unattended-upgrades (0.86.3) unstable; urgency=medium

  * Fix new pep8 errors (Closes: 796405)

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Aug 2015 10:17:38 +0200
