## unattended-upgrades 0.90ubuntu0.9+8.0trisquel1

=== debian/changelog ===
unattended-upgrades (0.90ubuntu0.9+8.0trisquel1) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 21 Jan 2018 15:25:03 +0000

unattended-upgrades (0.90ubuntu0.9) xenial; urgency=medium

  * unattended-upgrade: Do not reboot during a dry-run. (LP: #1269177)

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Dec 2017 14:51:05 -0800

unattended-upgrades (0.90ubuntu0.8) xenial; urgency=medium

  * Do not mark packages for deletion / autoremoval if unattended-upgrades is
    being run in dry-run mode. (LP: #1544942) 

 -- Brian Murray <brian@ubuntu.com>  Mon, 18 Sep 2017 13:36:57 -0700

unattended-upgrades (0.90ubuntu0.7) xenial; urgency=medium

  * Cherry-pick 2e5deed, f26edb4 from upstream to add support for a
    --download-only option, enabling us to download updates at a random time
    of day by default but apply them predictably in the 6am-7am window.
    LP: #1686470.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 12:34:37 -0700

unattended-upgrades (0.90ubuntu0.6) xenial; urgency=medium

  * Add UbuntuESM to the list of sources automatically upgraded from by
    default.  LP: #1687129.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2017 21:41:25 -0400

unattended-upgrades (0.90ubuntu0.5) xenial; urgency=medium

  * Complete the solution for the unattended-upgrades.service unit not
    correctly working (LP: #1654600):
    - d/rules : Remove the override_dh_installinit. The stop option is no longer
      available so the command falls back to default. This is the normal
      behavior so the override is not required
    - d/unattended-upgrades.init : Add Default-Start runlevels, otherwise the
      unattended-upgrades.service unit cannot be enabled on boot
    - d/postinst : Cleanup the stop symlinks created by the wrong
      override_dh_installinit. Without that, the systemd unit cannot be
      enabled correctly.
      Force disable the service before deb-systemd-helper runs so the old
      symlink is not left dangling (workaround for Debian Bug #797108).
      Force enable and start of the systemd unit to work around Debian Bug #797108
      which fails to enable systemd units correctly when WantedBy= statement
      is changed which is the case here.
      Both systemctl enable AND start are needed as enable --now fails on
      Xenial.
    - d/unattended-upgrades.service : Fix the service so it runs correctly on
      shutdown :
        Remove DefaultDependencies=no : Breaks normal shutdown dependencies
        Set After= to network.target and local-fs.target. Since our service is
        now ExecStop, it will run before network and local-fs become unavailable.
        Add RequiresMountsFor=/var/log /var/run /var/lib /boot : Necessary if
        /var is a separate file system. Set WantedBy= to multi-user.target
    - Add DEP8 tests to verify the following :
      Verify that the unattended-upgrades.service unit is enabled and started.
      Verify that InstallOnShutdown works when configured.

 -- Louis Bouchard <louis@ubuntu.com>  Fri, 21 Apr 2017 16:47:52 +0200

unattended-upgrades (0.90ubuntu0.4) xenial; urgency=medium

  * The systemd unit needs to be an ExecStop since it is is activated on
    shutdown. Otherwise, it will get scheduled after completion of
    the local-fs.target. In the case where /var is a separate
    filesystem, unattended-upgrade-shutdown will hang until timeout
    since /var/run is expected but no longer there. Also added
    TimeoutStopSec=900 used in other released.(LP: #1654600)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 03 Mar 2017 15:27:31 +0100

unattended-upgrades (0.90ubuntu0.3) xenial-proposed; urgency=medium

  * Ensure that network and local filesystems are available when running
    unattended-upgrades during shutdown mode. (LP: #1618900)

 -- Brian Murray <brian@ubuntu.com>  Wed, 14 Dec 2016 13:38:32 -0800

unattended-upgrades (0.90ubuntu0.2) xenial-proposed; urgency=medium

  * Create logfile_dpkg if it does not exist so that the file can be read
    later, thereby preventing a FileNotFound crash.  (LP: #1590321)
  * Create the directory /var/lib/apt/periodic/, if it does not exist, so that
    we don't receive a Traceback when trying to write a stampfile there.
    (LP: #1639977)

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Nov 2016 14:38:04 -0800

unattended-upgrades (0.90ubuntu0.1) xenial-proposed; urgency=medium

  * Modify data/50unattended-upgrades.Ubuntu such that the release pocket is
    an allowed origin so that security updates with a new dependency will be
    upgraded and the new dependency will be installed.  (LP: #1624641)

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Oct 2016 10:36:48 -0700
