## unattended-upgrades 0.90ubuntu0.10

=== debian/changelog ===
unattended-upgrades (0.90ubuntu0.10) xenial-security; urgency=medium

  * No change rebuild in the -security pocket (See LP #1686470)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Jan 2019 13:34:27 -0500
