=== debian/tests/control ===
Tests: run-tests test-systemd.py
Depends: @, @builddeps@
Restrictions: needs-root, isolation-container
