## unattended-upgrades 0.92ubuntu1

=== debian/changelog ===
unattended-upgrades (0.92ubuntu1) yakkety; urgency=medium

  * Add debian/patches/enable-release-pocket.patch which sets the release
    pocket as an allowed origin so that security updates with a new dependency
    will be upgraded.  (LP: #1624641)

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Oct 2016 08:36:53 -0700

unattended-upgrades (0.92) unstable; urgency=medium

  [ Matt Bearup ]
  * Add support for logging to syslog

  [ Raphael Geissert ]
  * Fix bug in minimal upgrade step calculation

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Apr 2016 22:09:43 +0200

unattended-upgrades (0.91) unstable; urgency=medium

  * Updated japanese debconf templates.
    Thanks to Takuma Yamada (Closes: 815389)
  * Increase TimeoutStartSec in the shutdown script
  * Document how to set Dpkg::Options.
    Thanks to Matt Bearup
  * add Unattended-Upgrade::Update-Days config
  * [INTL:pt_BR] Brazilian Portuguese.
    Thanks to Adriano Rafael Gomes (Closes: #805460)

 -- Michael Vogt <mvo@debian.org>  Fri, 04 Mar 2016 17:15:25 +0100
