## unattended-upgrades 0.92ubuntu1.5

=== debian/changelog ===
unattended-upgrades (0.92ubuntu1.5) yakkety; urgency=medium

  * Add UbuntuESM to the list of sources automatically upgraded from by
    default.  LP: #1687129.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2017 21:43:24 -0400

unattended-upgrades (0.92ubuntu1.4) yakkety; urgency=medium

  * Complete the solution for the unattended-upgrades.service unit not
    correctly working (LP: #1654600):
    - d/rules : Remove the override_dh_installinit. The stop option is no longer
      available so the command falls back to default. This is the normal
      behavior so the override is not required
    - d/unattended-upgrades.init : Add Default-Start runlevels, otherwise the
      unattended-upgrades.service unit cannot be enabled on boot
    - d/postinst : Cleanup the stop symlinks created by the wrong
      override_dh_installinit. Without that, the systemd unit cannot be
      enabled correctly.
      Force disable the service before deb-systemd-helper runs so the old
      symlink is not left dangling (workaround for Debian Bug #797108).
      Force enable and start of the systemd unit to work around Debian Bug #797108
      which fails to enable systemd units correctly when WantedBy= statement
      is changed which is the case here.
    - d/unattended-upgrades.service : Fix the service so it runs correctly on
      shutdown :
        Remove DefaultDependencies=no : Breaks normal shutdown dependencies
        Set After= to network.target and local-fs.target. Since our service is
        now ExecStop, it will run before network and local-fs become unavailable.
        Add RequiresMountsFor=/var/log /var/run /var/lib /boot : Necessary if
        /var is a separate file system. Set WantedBy= to multi-user.target
    - Add DEP8 tests to verify the following :
      Verify that the unattended-upgrades.service unit is enabled and started.
      Verify that InstallOnShutdown works when configured.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 04 Apr 2017 18:31:42 +0200

unattended-upgrades (0.92ubuntu1.3) yakkety; urgency=medium

  * The systemd unit needs to be an ExecStop since it is is activated on
    shutdown. Otherwise, it will get scheduled after completion of
    the local-fs.target. In the case where /var is a separate
    filesystem, unattended-upgrade-shutdown will hang until timeout
    since /var/run is expected but no longer there (LP: #1654600)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 03 Mar 2017 15:20:47 +0100

unattended-upgrades (0.92ubuntu1.2) yakkety; urgency=medium

  * Ensure that network and local filesystems are available when running
    unattended-upgrades during shutdown mode. (LP: #1618900)

 -- Brian Murray <brian@ubuntu.com>  Wed, 14 Dec 2016 13:31:31 -0800
