## unattended-upgrades 0.93.1ubuntu2

=== debian/changelog ===
unattended-upgrades (0.93.1ubuntu2) zesty; urgency=medium

  * The systemd unit needs to be an ExecStop since it is is activated on
    shutdown. Otherwise, it will get scheduled after completion of
    the local-fs.target. In the case where /var is a separate
    filesystem, unattended-upgrade-shutdown will hang until timeout
    since /var/run is expected but no longer there (LP: #1654600)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 02 Mar 2017 16:55:26 +0100

unattended-upgrades (0.93.1ubuntu1) zesty; urgency=medium

  [ Brian Murray ]
  * When performing a sanity check for packages to install or upgrade return
    false when either there are no packages in the cache or the package to
    upgrade is not in the change set. (LP: #1654070)
  * Do not mark packages for deletion / autoremoval if unattended-upgrades is
    being run in dry-run mode. (LP: #1544942)

  [ Louis Bouchard ]
  * Store delay command line option as an int not a string since we do maths
    with it.

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Jan 2017 13:00:24 -0800

unattended-upgrades (0.93.1) unstable; urgency=medium

  [ Brian Murray ]
  * Create logfile_dpkg if it doesn't exist
  * Make sure the statedir exists too
  * ensure network and local-fs are available in shutdown

  [ Michael Vogt ]
  * fix incorrect "needrestart" package name, move to sugests
    (Closes: #844051, #846652)

  [ Manuel "Venturi" Porras Peralta ]
  * [INTL:es] Spanish po translation (Closes: #817160)

  [ Takuma Yamada ]
  * [INTL:ja] Japanese translation of po file update (Closes: #820755)

  [ Jonatan Nyberg ]
  * [INTL:sv] Swedish strings for unattended-upgrades debconf (Closes: #822119)

  [ Frans Spiesschaert ]
  * [INTL:nl] Dutch po file for the unattended-upgrades package
    (Closes: #823975)

 -- Michael Vogt <mvo@debian.org>  Sun, 11 Dec 2016 11:31:26 +0100

unattended-upgrades (0.93) unstable; urgency=medium

  [ Michael Vogt ]
  * Ensure to keep "automatic install" information (Closes: #828215)
  * add recommends to "need-restart" to ensure that all running serivces
    affected by library updates get restarted

  [ Brian Murray ]
  * Update 50unattended-upgrades.Ubuntu

  [ Germar Reitze ]
  * enable escaped colons in Unattended-Upgrade::Allowed-Origins
  * fix pep8 warning

 -- Michael Vogt <mvo@debian.org>  Wed, 09 Nov 2016 10:42:55 +0100
