## unattended-upgrades 0.93.1ubuntu2.4

=== debian/changelog ===
unattended-upgrades (0.93.1ubuntu2.4) zesty; urgency=medium

  * unattended-upgrade: Do not reboot during a dry-run. (LP: #1269177)

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Dec 2017 14:46:42 -0800

unattended-upgrades (0.93.1ubuntu2.3) zesty; urgency=medium

  * Cherry-pick 2e5deed, f26edb4 from upstream to add support for a
    --download-only option, enabling us to download updates at a random time
    of day by default but apply them predictably in the 6am-7am window.
    LP: #1686470.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 12:40:12 -0700

unattended-upgrades (0.93.1ubuntu2.2) zesty; urgency=medium

  * Add UbuntuESM to the list of sources automatically upgraded from by
    default.  LP: #1687129.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2017 21:44:58 -0400

unattended-upgrades (0.93.1ubuntu2.1) zesty; urgency=medium

  * Complete the solution for the unattended-upgrades.service unit not
    correctly working (LP: #1654600):
    - d/rules : Remove the override_dh_installinit. The stop option is no longer
      available so the command falls back to default. This is the normal
      behavior so the override is not required
    - d/unattended-upgrades.init : Add Default-Start runlevels, otherwise the
      unattended-upgrades.service unit cannot be enabled on boot
    - d/postinst : Cleanup the stop symlinks created by the wrong
      override_dh_installinit. Without that, the systemd unit cannot be
      enabled correctly.
      Force disable the service before deb-systemd-helper runs so the old
      symlink is not left dangling (workaround for Debian Bug #797108).
      Force enable and start of the systemd unit to work around Debian Bug #797108
      which fails to enable systemd units correctly when WantedBy= statement
      is changed which is the case here.
    - d/unattended-upgrades.service : Fix the service so it runs correctly on
      shutdown :
        Remove DefaultDependencies=no : Breaks normal shutdown dependencies
        Set After= to network.target and local-fs.target. Since our service is
        now ExecStop, it will run before network and local-fs become unavailable.
        Add RequiresMountsFor=/var/log /var/run /var/lib /boot : Necessary if
        /var is a separate file system. Set WantedBy= to multi-user.target
    - Add DEP8 tests to verify the following :
      Verify that the unattended-upgrades.service unit is enabled and started.
      Verify that InstallOnShutdown works when configured.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 21 Apr 2017 12:40:29 +0200
