=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-apt, apt-utils, apt, ucf, lsb-release, lsb-base (>= 3.2-14),
  xz-utils
 Recommends: cron | cron-daemon | anacron
-Suggests: bsd-mailx, mail-transport-agent
+Suggests: bsd-mailx, mail-transport-agent, needrestart
 Description: automatic installation of security upgrades
  This package can download and install security upgrades automatically
  and unattended, taking care to only install packages from the
