=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), po-debconf
 Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
  python3-setuptools, python-dev, python3-dev, python-coverage, pep8,
