## unattended-upgrades 0.93.1+vua2.0

=== debian/changelog ===
unattended-upgrades (0.93.1+vua2.0) unstable; urgency=high

  * Fixed default rules for unattended-upgrades.

 -- Evilham <devuan@evilham.com>  Sun, 17 Dec 2017 19:26:08 +0000
