## unattended-upgrades 0.98ubuntu1

=== debian/changelog ===
unattended-upgrades (0.98ubuntu1) artful; urgency=medium

  * Merge from Debian unstable (LP: #1722426)
    - Remaining changes:
      - unattended-upgrades: Do not automatically upgrade the development
        release of Ubuntu unless Unattended-Upgrade::DevRelease is true.
    - Dropped changes, included in Debian:
      - Use lsb_release instead of dpkg-vendor in postinst

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 10 Oct 2017 03:47:58 +0200

unattended-upgrades (0.98) unstable; urgency=medium

  * Rename test to test_non_minimal_steps_upgrade to reflect content
  * Catch SystemError while keeping apt lock unlocked (LP: #1632361)
  * Add --stop-only option to unattended-upgrade-shutdown and use it on
    hibernation. This prevents starting unattended-upgrades right before
    hibernating when Unattended-Upgrade::InstallOnShutdown is true.
    (Closes: #610333)
  * Stop already running unattended-upgrades before hibernation even with
    systemd (LP: #1455097)
  * Use lsb_release instead of dpkg-vendor in postinst (LP: #1719630)
  * Update README.md with the fact that unattended=upgrades is enabled
    by default (Closes: #865519)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 26 Sep 2017 11:38:21 -0400

unattended-upgrades (0.97ubuntu2) artful; urgency=medium

  * Use lsb_release instead of dpkg-vendor in postinst (LP: #1719630)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 26 Sep 2017 10:21:42 -0400

unattended-upgrades (0.97ubuntu1) artful; urgency=medium

  * Merge from Debian unstable (LP: #1718419)
    - Remaining changes:
      - unattended-upgrades: Do not automatically upgrade the development
        release of Ubuntu unless Unattended-Upgrade::DevRelease is true.
    - Dropped changes, included in Debian:
      - Recover from broken dh_installinit override in versions < 0.93.1ubuntu3

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 20 Sep 2017 14:46:47 +0200

unattended-upgrades (0.97) unstable; urgency=medium

  * Handle recovering from broken dh_installinit override on Ubuntu, too
  * Declare needs-reboot for autopkgtests
  * Clean up more test artifacts
  * Run u-u-s only when running on AC power
  * Catch SystemError from fetcher.run(), too
  * Default to MinimalSteps=True in most tests to excercise default setting
  * Check only changed packages in check_changes_for_sanity()
  * Store candidate versions to adjust in UnattendedUpgradesCache()'s constructor

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 19 Sep 2017 17:40:32 +0200

unattended-upgrades (0.96ubuntu1) artful; urgency=low

  * Merge from Debian unstable (LP: #1714019)
    - Remaining changes:
      - Recover from broken dh_installinit override in versions < 0.93.1ubuntu3
      - unattended-upgrades: Do not automatically upgrade the development
        release of Ubuntu unless Unattended-Upgrade::DevRelease is true.
    - Dropped changes, included in Debian:
      - Cherry-pick 2e5deed, f26edb4 from upstream to add support for a
        --download-only option, enabling us to download updates at a random
        time of day by default but apply them predictably in the 6am-7am
        window.
      - Fix PEP8 failures (replace except: with except Exception:)
      - unattended-upgrades: Provide some information and create a log entry
        when there is a failure to parse the allowed origins.
      - Add UbuntuESM to the list of sources automatically upgraded from by
        default.
      - Complete the solution for the unattended-upgrades.service unit not
        correctly working
      - d/rules : Remove the override_dh_installinit. The stop option is no
        longer available so the command falls back to default. This is the
        normal behavior so the override is not required
      - d/unattended-upgrades.init : Add Default-Start runlevels, otherwise
        the unattended-upgrades.service unit cannot be enabled on boot
      - d/postinst : Cleanup the stop symlinks created by the wrong
        override_dh_installinit. Without that, the systemd unit cannot be
        enabled correctly.
        Force disable the service before deb-systemd-helper runs so the old
        symlink is not left dangling (workaround for Debian Bug #797108).
        Force enable and start of the systemd unit to work around Debian Bug
        #797108 which fails to enable systemd units correctly when
        WantedBy= statement is changed which is the case here.
      - d/unattended-upgrades.service : Fix the service so it runs correctly on
        shutdown :
        - Remove DefaultDependencies=no : Breaks normal shutdown dependencies
        - Set After= to network.target and local-fs.target. Since our service
          is now ExecStop, it will run before network and local-fs become
          unavailable.
        - Add RequiresMountsFor=/var/log /var/run /var/lib /boot : Necessary if
          /var is a separate file system. Set WantedBy= to multi-user.target
      - Add DEP8 tests to verify the following :
        - Verify that the unattended-upgrades.service unit is enabled and
          started.
        - Verify that InstallOnShutdown works when configured.
      - The systemd unit needs to be an ExecStop since it is is activated on
        shutdown. Otherwise, it will get scheduled after completion of
        the local-fs.target. In the case where /var is a separate
        filesystem, unattended-upgrade-shutdown will hang until timeout
        since /var/run is expected but no longer there
      - When performing a sanity check for packages to install or upgrade
        return false when either there are no packages in the cache or the
        package to upgrade is not in the change set.
      - Do not mark packages for deletion / autoremoval if unattended-upgrades
        is being run in dry-run mode.
      - Store delay command line option as an int not a string since we do
        maths with it.

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 30 Aug 2017 13:46:37 +0200

unattended-upgrades (0.96) unstable; urgency=medium


