=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Evilham <devuan@evilham.com>
-Build-Depends: debhelper (>= 7.0.50~), po-debconf
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Uploaders: Balint Reczey <rbalint@ubuntu.com>
+Build-Depends: debhelper (>= 9~), po-debconf
 Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
  python3-setuptools, python-dev, python3-dev, python-coverage, pep8,
  pyflakes, python-apt, python3-apt, python-mock, python3-mock,
  lsb-release, dh-systemd (>= 1.5)
 Standards-Version: 3.9.3
-Vcs-Git: https://git.devuan.org/devuan-packages/unattended-upgrades.git
+Vcs-Git: https://github.com/mvo5/unattended-upgrades.git
 XS-Testsuite: autopkgtest
 
 Package: unattended-upgrades
