## unattended-upgrades 0.98ubuntu1.1

=== debian/changelog ===
unattended-upgrades (0.98ubuntu1.1) artful; urgency=medium

  * unattended-upgrades: Do not reboot during a dry-run. (LP: #1269177)

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Dec 2017 11:04:52 -0800
