=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,11 @@
 		--root=$(CURDIR)/debian/unattended-upgrades \
 		--install-layout=deb
 
+override_dh_installinit:
+	# We do not want to run the init script in the postinst/prerm, its
+	# really only useful on shutdown, see Debian bug #645919.
+	dh_installinit $@ -r
+
 override_dh_auto_clean:
 	# Sanity-check before upload.
 	set -e; for f in unattended-upgrade unattended-upgrade-shutdown; do \
@@ -28,3 +33,12 @@
 		rm -f $$f.py; \
 	done
 	$(PYTHON) setup.py clean -a
+	rm -rf .coverage \
+		test/.coverage \
+		test/root.*/var/cache/apt/*.bin \
+		test/root.*/var/log \
+		test/root.unused-deps/var/cache/apt/archives/lock \
+		test/root.unused-deps/var/lib/apt/extended_states \
+		test/root.unused-deps/var/lib/dpkg/status \
+		test/root.unused-deps/var/run/unattended-upgrades.progress \
+		test/u-u.lock
