## unattended-upgrades 1.1ubuntu1

=== debian/changelog ===
unattended-upgrades (1.1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable (LP: #1764797)
    - Remaining changes:
      - unattended-upgrades: Do not automatically upgrade the development
        release of Ubuntu unless Unattended-Upgrade::DevRelease is true.
    - Dropped changes, included in Debian:
      - Rename d/NEWS.Debian to d/NEWS to have it shipped
      - Fix typo in NEWS file
      - d/rules: Exclude mypy cache from source package.

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 17 Apr 2018 16:53:30 +0200

unattended-upgrades (1.1) unstable; urgency=medium

  [ cgail914 ]
  * Update 50unattended-upgrades.Raspbian
    added a semi-column sign on line 86 to facilitate uncommenting the line
    for users and not end up with an error message when running
    unattended-upgrades. And make the whole file consistent.

  [ Tobias Bannert ]
  * completed german translation

  [ Simon McVittie ]
  * d/rules: Exclude mypy cache from source package.

  [ Julian Andres Klode ]
  * Do not reuse old apt.Version objects after reopening cache (LP: #1737441)

  [ Balint Reczey ]
  * Rename d/NEWS.Debian to d/NEWS to have it shipped
  * Fix typo in NEWS file
  * Add missing semicolon to commented-out Remove-Unused-Kernel-Packages option
  * Set UnattendedUpgradesCache.allowed_origins before calling
    apt.Cache.__init__()
  * Find package candidates to adjust sweeping through all packages only once.
    Later reuse the list candidates and filter out packages installed in the
    meantime. Thanks to Julian Andres Klode for the original patch
  * Use updated python-apt in upgrade-between-snapshots test
  * upgrade-between-snapshots: Mount /proc, too, in the chroot.
    Also clean up chroot properly on exit.
  * upgrade-between-snapshots: Use http_proxy environment variable in chroot,
    too
  * upgrade-between-snapshots: Remove packages installed as the side-effect of
    updating apt and python-apt
  * Ignore errors from compiling backported packages
  * Make is_autoremove_valid() nondestructive.
    Also fix autoremoval of packages when one package can't be removed and
    keeps back other package removals due to missing cache.clear()
  * Fix tracking removed packages
  * Suggest default-mta | mail-transport-agent to keep Lintian happy

  [ Michael Vogt ]
  * unattanded-upgrades: refactor get_candidates_to_adjust() to
    adjust_candidates()

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 16 Apr 2018 20:01:08 +0200

unattended-upgrades (1.0ubuntu2) bionic; urgency=medium

  [ Balint Reczey ]
  * Rename d/NEWS.Debian to d/NEWS to have it shipped
  * Fix typo in NEWS file

  [ Simon McVittie ]
  * d/rules: Exclude mypy cache from source package.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 19 Mar 2018 16:42:37 +0000

unattended-upgrades (1.0ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable
    - Remaining changes:
      - unattended-upgrades: Do not automatically upgrade the development
        release of Ubuntu unless Unattended-Upgrade::DevRelease is true.
    - Dropped changes, included in Debian:
      - Run upgrade-between-snapshots only on amd64.
        The test exercises only unattented-upgrade's Python code and uses
        dependencies from the frozen Debian snapshot archive thus running
        it on all architectures would provide little benefit.

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 01 Mar 2018 17:29:33 +0700

unattended-upgrades (1.0) unstable; urgency=medium

  [ Simon Arlott ]
  * Revert sending mails on WARNINGS when in MailOnlyOnError mode"
  * Consider conffile prompts to be errors (Closes: #852465)
    Flag packages that have to be upgraded manually because of a conffile
    prompt and consider this to be an error when sending email or exiting.

  [ Simon McVittie ]
  * Add python, python3, setuptools, DistutilsExtra to Build-Depends.
    They are needed for `clean`, so Build-Depends-Indep is not enough.
  * Add .gitignore and debian/.gitignore
  * Remove bzr configuration.
    This is unnecessary now that u-u is in git.

  [ Michael Vogt ]
  * unattended-upgrades: tweak mail-on-warnings PR
  * unattended-upgrade: extract is_autoremove_valid helper

  [ Balint Reczey ]
  * Run upgrade-between-snapshots only on amd64.
    The test exercises only unattented-upgrade's Python code and uses
    dependencies from the frozen Debian snapshot archive thus running
    it on all architectures would provide little benefit.
  * Clean up processes started for getting md5 sums
  * Don't keep /var/lib/dpkg/status open multiple times
  * Adjust candidates in UnattendedUpgradesCache.open()
  * Perform autoremovals in minimal steps, too.
    Also add check to remove only the set of packages selected for autoremoval.
    Without that check unattended-upgrades when (by default) configured to
    remove newly unused packages could also remove auto removable packages
    which were unused before starting starting the upgrade step.
  * Remove unused automatically installed kernel packages
    (LP: #1357093, #1624644, #1675079, #1698159)
  * Stop including Python syntax in the report (Closes: #876796)
  * Do not auto remove packages related to the running kernel (LP: #1615381)
  * Check packages to be autoremoved against blacklists, whitelists.
    Also check if the packages are held.
  * Report package removals in the summary email (Closes: #876797)
  * Run upgrade-between-snapshots test with debugging enabled
  * Don't create new UnattendedUpgradesCache for checking for autoremovals
    .open() refreshes the state in each cache_commit(), this is enough
  * Update .pot and .po files
  * Update .travis.yml to actually build and test u-u from the repo
  * Run only a simple installation test on Travis, the system upgrade
    test was always failing

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 01 Mar 2018 15:54:10 +0700

unattended-upgrades (0.99ubuntu2) bionic; urgency=medium

  * Run upgrade-between-snapshots only on amd64.

