=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 override_dh_installinit:
 	# We do not want to run the init script in the postinst/prerm, its
 	# really only useful on shutdown, see Debian bug #645919.
-	dh_installinit $@ -r
+	dh_installinit -r
 
 override_dh_auto_clean:
 	# Sanity-check before upload.
@@ -35,6 +35,7 @@
 	$(PYTHON) setup.py clean -a
 	rm -rf .coverage \
 		test/.coverage \
+		test/.mypy_cache \
 		test/root.*/var/cache/apt/*.bin \
 		test/root.*/var/log \
 		test/root.unused-deps/var/cache/apt/archives/lock \
